[![Build Status](https://travis-ci.org/smirnov-am/pyfinmod.svg?branch=master)](https://travis-ci.org/smirnov-am/pyfinmod)

## Financial modelling with Python and Pandas

Implemented functions:
- Basic calculations
    - Net present Value
    - Internal rate of returns
    - Flat loan payments
    - Future value
    - Continuously compounded interest rate
- Enterprise value
    - Free Cash Flows
    - Weighted average cost of capital and DCF

Based on this book [Financial Modeling by Simon Benninga](https://www.amazon.com/Financial-Modeling-Simon-Benninga/dp/0262026287)

### Changelog
**v0.2**:
- switched to financialmodelingprep.com API for financials
- pypi release
- readthedocs release

### Features in the next releases
- optimal portfolio calculation
- caching of API results

## Documentation

The latest docs are available [here](https://pyfinmod.readthedocs.io/en/latest/).
Blog posts [1](https://smirnov-am.github.io/2019/02/07/company-evaluation-pt1.html)
and [2](https://smirnov-am.github.io/calculating-enterprise-value-with-python-and-pandas-part-1-wacc-and-dcf/) are referring to version 0.1 and are not updated.


## Installation
Easiest way to install is to use pip

`pip install pyfinmod`


## Support

1. Create and issue in this repo
2. Send me am email msc.smirnov.am+pyfinmod@gmail.com
3. Shoot me a message in [Linkedin](https://www.linkedin.com/in/smirnovam/)

[![Buy me a coffee](https://cdn.buymeacoffee.com/buttons/default-orange.png)](https://www.buymeacoffee.com/smirnovam)
